%define rel		1
%define beta		0
%if %beta
%define	release		%mkrel 0.%beta.%rel
%define distname	%name-%version-%beta-dep.tar.gz
%define dirname		%name-%version-%beta-dep
%else
%define release		%mkrel %rel
%define distname	%name-%version-dep.tar.gz
%define dirname		%name-%version-dep
%endif

Name:		roundcubemail
Version:	0.7.4
%define subrel 3
Release:	%{release}
Summary:	A PHP-based webmail server
Group:		System/Servers
License:	GPLv3
# Use the -dep tarballs. These use system copies of the PHP stuff
# rather than including them, which is better for our purposes.
# - AdamW 2007/07
URL:		http://www.roundcube.net/
Source0:	http://downloads.sourceforge.net/roundcubemail/%{distname}
Patch0:		roundcubemail-0.7.4-CVE-2012-4668.diff
Patch1:		roundcubemail-0.7.4-CVE-2013-5645.diff
Patch2:		roundcubemail-0.7.4-CVE-2013-6172.diff
Epoch:		1
#BuildRequires:	apache-devel pcre-devel rpm-helper
Requires:	apache-mod_php
Requires:	php-gd
Requires:	php-gettext
Requires:	php-iconv
Requires:	php-mbstring
Requires:	php-mcrypt
Requires:	php-openssl
Requires:	php-session
Requires:	php-pear-Auth_SASL
Requires:	php-pear-Mail_Mime
Requires:	php-pear-Net_SMTP
Requires:	php-pear-Net_LDAP2
Requires:	php-pear-MDB2
Requires:	php-pear-Net_IDNA2
# The installer suggests the use of these, but they're not
# required - AdamW 2011/01
Suggests:	php-fileinfo
Suggests:	php-intl
# Most people will probably use mysql, but you can use sqlite or
# pgsql, so not a hard require - AdamW 2008/10
Suggests:	php-pear-MDB2_Driver_mysql

BuildArch:	noarch

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an 
application-like user interface. It provides full functionality you 
expect from an e-mail client, including MIME support, address book, 
folder manipulation, message searching and spell checking. RoundCube 
Webmail is written in PHP and requires a MySQL or PostgreSQL database.
The user interface is fully skinnable using XHTML and CSS 2.

%prep
%setup -q -n %{dirname}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
rm -rf %{buildroot}
# tell it that we're moving the configuration files
for i in installer/index.php program/include/iniset.php; do \
	sed -i \
		-e "s,INSTALL_PATH . 'config','%{_sysconfdir}/%{name}',g" \
		$i; \
done
# use systemwide log dir and temp dir
sed -i \
    -e 's,logs/,%{_logdir}/%{name}/,g' \
    -e 's,temp/,/tmp/,g' \
    config/main.inc.php.dist
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_logdir}/%{name}
cp -a config/db.inc.php.dist %{buildroot}%{_sysconfdir}/%{name}/db.inc.php
cp -a config/main.inc.php.dist %{buildroot}%{_sysconfdir}/%{name}/main.inc.php
rm -rf config
rm -rf temp
rm -rf logs
cp -a * %{buildroot}%{_datadir}/%{name}

pushd %{buildroot}%{_datadir}/%{name}
rm -f CHANGELOG INSTALL UPGRADING LICENSE README
popd

mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Order allow,deny
    Allow from all
</Directory>

<Directory %{_datadir}/%{name}/SQL>
    Order deny,allow
    Deny from all
</Directory>

php_value suhosin.session.encrypt Off
EOF

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
The setup used here differs from a standard installation in the following
ways:
* Logs are stored to /var/log/roundcubemail
* Temporary files are placed in /tmp
* Configuration files (main.inc.php and db.inc.php) are placed in
  %{_sysconfdir}/roundcubemail

configuration/upgrade
-------
Use the GUI to do the configuration/upgrade:
RoundCube provides an installer which can help you to do all
the installation/upgrade. The feature is disabled by default for
security reasons but you can enable it in 'main.inc.php' by
setting the 'enable_installer' variable to 'true'.
Once done, browse http://server/roundcubemail/installer

Use the CLI to do the configuration/upgrade:
You will need to edit %{_sysconfdir}/roundcubemail/main.inc.php and
%{_sysconfdir}/roundcubemail/db.inc.php appropriately for your site before you
can use Roundcube. You must at least configure an appropriate mail
server and port in main.inc.php, and change the
$rcmail_config['des_key'] setting. In db.inc.php you must configure
an appropriate database location and user; in the most simple
configuration, you would create a new user and database both named
'roundcubemail' on a MySQL server running on the same machine, give
the roundcubemail user full read/write access to the roundcubemail
database, and set db.inc.php appropriately.

Information:
- you can drop all of the tables and use the '*.initial.sql' file
to fully recreate the database.
- If any database change is needed, go to %{_datadir}/roundcubemail/SQL
and use '*.update.sql' where '*' is your database backend type.
EOF

%files
%doc CHANGELOG README UPGRADING
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%{_logdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/db.inc.php
%config(noreplace) %{_sysconfdir}/%{name}/main.inc.php
%config(noreplace) %{_webappconfdir}/%{name}.conf


%changelog
* Tue Oct 29 2013 oden <oden> 1:0.7.4-1.3.mga2
+ Revision: 547790
- P2: security fix for CVE-2013-6172
- P1: security fix for CVE-2013-5645
- P0: use the correct CVE identifier CVE-2012-4668
- 0.7.4 (fixes CVE-2013-1904)
- the xss-sig patch was assigned CVE-2012-3507

  + dams <dams>
    - add a patch to fix XSS issue
    - new version 0.7.3 (security update mga#7246)
    - new version 0.7.2

* Thu Apr 05 2012 dams <dams> 1:0.7.1-2.mga2
+ Revision: 228591
- remove 'php-pspell' as a require

  + guillomovitch <guillomovitch>
    - no need to advertise distribution-specific documentation in package description

* Mon Jan 09 2012 dams <dams> 1:0.7.1-1.mga2
+ Revision: 194074
- new version 0.7.1

* Thu Dec 29 2011 guillomovitch <guillomovitch> 1:0.7-3.mga2
+ Revision: 188742
- ensure db configuration file is not world-readable
- don't ship useless file under configuration directory
- use herein document for README.urpmi
- fix some typos in README.urpmi

* Thu Dec 29 2011 dams <dams> 1:0.7-2.mga2
+ Revision: 188735
- Update README.urpmi to warn about 'upgrade' of the database (bug #3862)

* Tue Dec 20 2011 dams <dams> 1:0.7-1.mga2
+ Revision: 184800
- new version 0.7

* Tue Oct 04 2011 dams <dams> 1:0.6-1.mga2
+ Revision: 151509
- update to 0.6

* Wed Sep 14 2011 tv <tv> 1:0.5.4-1.mga2
+ Revision: 143232
- new release

  + dams <dams>
    - Remove link to Mandriva Wiki
    - Clean spec file
    - imported package roundcubemail

